AuthMemberships

List the current user's pending memberships

GET/auth/v1/memberships/pending

Returns a paginated list of the authenticated user's pending organization membership invitations that have not yet been accepted.

X-API-Key<token>

In: header

Query Parameters

limit?integer

Limit

offset?integer

Offset

Response Body

200application/json

OK

type: object

memberships?array<object>
id?string
joined_at?string
org_id?string
organization_first_name?string
organization_last_name?string
organization_username?string
role?string
state?string
user_id?string
401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/auth/v1/memberships/pending"
fetch("https://api.rixl.com/auth/v1/memberships/pending", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/auth/v1/memberships/pending"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/auth/v1/memberships/pending"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/auth/v1/memberships/pending"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/auth/v1/memberships/pending");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "memberships": [
    {
      "id": "string",
      "joined_at": "string",
      "org_id": "string",
      "organization_first_name": "string",
      "organization_last_name": "string",
      "organization_username": "string",
      "role": "string",
      "state": "string",
      "user_id": "string"
    }
  ]
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}